using System;
using Telerik.OpenAccess;

namespace FirstStepsClasses
{
	/// <summary>
	/// The persistent Address struct.
	/// </summary>
	[Persistent]
	public class Address 
	{
		private string street;
		private int zip;
		private string city;
		
		public Address(string street, int zip, string city )
		{
			this.street = street;
			this.zip = zip;
			this.city = city;
		}

        public Address()
        { }

		public string Street
		{
			get { return street; }
			set { street = value; }
		}

		public int Zip
		{
			get { return zip; }
			set { zip = value; }
		}

		public string City
		{
			get { return city; }
			set { city = value; }
		}

		public override string ToString()
		{
			return street + ", " + zip + " " + city;
		}

	}
}
