using System;
using Telerik.OpenAccess;

namespace FirstStepsClasses
{
	/// <summary>
	/// The persistent Cd class.
	/// This class definition has changed compared with the previous
	/// example and demonstrates the use of a Blob member here.
	/// </summary>
	[Persistent]
	public abstract class Cd : Product
	{
		private Blob cover;
		
		protected Cd() {}

		protected Cd(int productNo, string name, float unitPrice) :
			base( productNo, name, unitPrice )
		{}

		public Blob Cover
		{
			get { return cover; }
			set { cover = value; }
		}
	}
}
