using System;
using Telerik.OpenAccess;

namespace FirstStepsClasses
{
	/// <summary>
	/// Summary description for PhoneNumber.
	/// </summary>
	[Persistent]
	public struct PhoneNumber
	{
		short areaCode;
		int number;
    
		public PhoneNumber(short areaCode, int number)
		{
			this.areaCode = areaCode;
			this.number = number;
		}
    
		public short AreaCode
		{
			get { return areaCode; }
			set { areaCode = value; }
		}
    
		public int Number
		{
			get { return number; }
			set { number = value; }
		}
    
		public override string ToString()  
		{
			return "0" + areaCode + "-" + number;
		}
 
	}

}
