using System;
using Telerik.OpenAccess;

namespace FirstStepsClasses
{
	/// <summary>
	/// Summary description for Shipper.
	/// </summary>
	[Persistent]
	public class Shipper : Company
	{
		private int shipperNo;
		private bool expressShipping;
		
		//no-args constructor required by the Telerik.Telerik.Telerik.OpenAccess enhancer
		private Shipper() {}
		
		public Shipper(string name, int shipperNo) 
			: base(name)
		{
			this.shipperNo = shipperNo;
		}

		public int ShipperNo
		{
			get { return shipperNo; }
		}

		public bool ExpressShipping
		{
			get { return expressShipping; }
			set { expressShipping = value; }
		}
	}
}
